Package org.apache.tools.ant.taskdefs

# Class Sequential

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.Sequential

All Implemented Interfaces:
  `java.lang.Cloneable`, `TaskContainer`

    public class Sequential
    extends Task
    implements TaskContainer

Sequential is a container task - it can contain other Ant tasks. The nested tasks are simply executed in sequence. Sequential's primary use is to support the sequential execution of a subset of tasks within the `Parallel Task`

The sequential task has no attributes and does not support any nested elements apart from Ant tasks. Any valid Ant task may be embedded within the sequential task.

Since:
  Ant 1.4

## Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Sequential()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `addTask​(Task nestedTask)` | Add a nested task to Sequential.
`void` | `execute()` | Execute all nestedTasks.

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Sequential

public Sequential()

## Method Details

### addTask

public void addTask​(Task nestedTask)
Add a nested task to Sequential.

Specified by:
  `addTask` in interface `TaskContainer`
Parameters:
  `nestedTask` - Nested task to execute Sequential

### execute

public void execute() throws BuildException
Execute all nestedTasks.

Overrides:
  `execute` in class `Task`
Throws:
  `BuildException` - if one of the nested tasks fails.